#!/usr/bin/env python3
import humidityImage
import serial
from gpiozero import MotionSensor
from subprocess import call
from time import sleep

if __name__ == '__main__':
    ser = serial.Serial('/dev/ttyUSB0', 9600, timeout=1)
    ser.reset_input_buffer()
    while True:
        if ser.in_waiting > 0:  #If there's something on the serial input, then turn the screen on
          call(['vcgencmd', 'display_power', '1']) #turn HDMI monitor on
          humidityImage.readHumidity()
          ser.reset_input_buffer()
          sleep(800) #sleep for 300 seconds (5 minutes) then turn screen off again:
          call(['vcgencmd', 'display_power', '0']) #turn HDMI monitor off
          sleep(800)