from PIL import Image, ImageFont, ImageDraw
import Adafruit_DHT
import time
import serial

#inside your I2C/serial code main while loop you created in step 2,  where it continuously prints the humidity, replace the "print()" statement with t
#the following and make sure you put in the humidity variable as whatever your I2C code calls it (I don't have your code for this so I have no idea what you have it named).
def readHumidity():
DHT_SENSOR= Adafruit_DHT.DHT11
DHT_PIN=18 #i2c pin or normal pin on RPI?

#Image Starts here

#Dimensions of Picture
width = 550
height = 200

#Message of Picture
message = "Humidity "

#Font Size and Type
font = ImageFont.truetype("PlayfairDisplay-font.ttf", size=65)

#background of image
img = Image.new('RGB', (width, height), color='black')

imgDraw = ImageDraw.Draw(img)

ser = serial.Serial('/dev/ttyUSB0', 9600, timeout=1)
ser.reset_input_buffer()
#humidity, temperature = Adafruit_DHT.read(DHT_SENSOR, DHT_PIN)

valid_reading = False
while not valid_reading:

humidity = ser.readline() # byte string
print(humidity)
if humidity not in [b'\r',b'\n', b'']:
valid_reading = True
textWidth, textHeight = imgDraw.textsize(str(humidity)[2:], font=font)
xText = (width - textWidth) / 2
yText = (height - textHeight) / 2

#Location of text and color
img = Image.new('RGB', (width, height), color='black')
imgDraw = ImageDraw.Draw(img)
imgDraw.text((xText,yText), message + str(humidity)[2: ], font=font, fill=(255, 255,255))

#The final image
img.save('/home/parih16/MagicMirror/modules/MMM-SimpleLogo/public/logo.png')

#Image Ends Here

else:
if humidity not in [b'\r',b'\n']:
print("Sensor failure. Check wiring.");
time.sleep(3);
